Debian Bug report logs - #676184
user-mode-linux: gdbserver not usable inside UML

version graph

Package: user-mode-linux; Maintainer for user-mode-linux is User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>; Source for user-mode-linux is src:user-mode-linux.

Reported by: Vincent Bernat <bernat@debian.org>

Date: Tue, 5 Jun 2012 09:17:11 UTC

Severity: normal

Tags: patch

Found in version user-mode-linux/3.2-1um-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#676184; Package user-mode-linux. (Tue, 05 Jun 2012 09:17:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Tue, 05 Jun 2012 09:17:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: user-mode-linux: gdbserver not usable inside UML
Date: Tue, 05 Jun 2012 11:07:12 +0200
[Message part 1 (text/plain, inline)]
Package: user-mode-linux
Version: 3.2-1um-1
Severity: normal
Tags: patch

Hi!

Using gdbserver  inside an UML  instance displays "Couldn't  write debug
register". I have discovered this  patch from Barry Friedman which works
fine for me:
 http://www.mail-archive.com/user-mode-linux-devel@lists.sourceforge.net/msg06753.html

I also attach a version rebased for Linux 3.2.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages user-mode-linux depends on:
ii  libc6          2.13-33
ii  uml-utilities  20070815-1.3

user-mode-linux recommends no packages.

Versions of packages user-mode-linux suggests:
ii  rootstrap                           0.3.24-6.1
ii  rxvt-unicode [x-terminal-emulator]  9.15-1
ii  slirp                               <none>
ii  terminator [x-terminal-emulator]    0.95-1
ii  user-mode-linux-doc                 20060501-1
ii  vde2                                2.3.2-4
ii  xterm [x-terminal-emulator]         278-1

-- no debconf information
[uml_ptrace64_fix.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#676184; Package user-mode-linux. (Wed, 06 Jun 2012 09:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@researchut.com:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Wed, 06 Jun 2012 09:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 676184@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@researchut.com>
To: Vincent Bernat <bernat@debian.org>, 676184@bugs.debian.org
Subject: Re: [Pkg-uml-pkgs] Bug#676184: user-mode-linux: gdbserver not usable inside UML
Date: Wed, 06 Jun 2012 14:26:44 +0530
[Message part 1 (text/plain, inline)]
Hello Vincent,

On Tuesday 05 June 2012 02:37 PM, Vincent Bernat wrote:
> Using gdbserver  inside an UML  instance displays "Couldn't  write debug
> register". I have discovered this  patch from Barry Friedman which works
> fine for me:
>  http://www.mail-archive.com/user-mode-linux-devel@lists.sourceforge.net/msg06753.html
>
> I also attach a version rebased for Linux 3.2.

Thank you for the bug report and the patch. I will look into this.

-- 
Ritesh Raj Sarraf
RESEARCHUT - http://www.researchut.com
"Necessity is the mother of invention."


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#676184; Package user-mode-linux. (Thu, 07 Jun 2012 08:30:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Thu, 07 Jun 2012 08:30:16 GMT) Full text and rfc822 format available.

Message #15 received at 676184@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Vincent Bernat <bernat@debian.org>
Cc: 676184@bugs.debian.org
Subject: Re: [Pkg-uml-pkgs] Bug#676184: user-mode-linux: gdbserver not usable inside UML
Date: Thu, 07 Jun 2012 13:57:16 +0530
[Message part 1 (text/plain, inline)]
On Wednesday 06 June 2012 02:26 PM, Ritesh Raj Sarraf wrote:
> Hello Vincent,
> 
> On Tuesday 05 June 2012 02:37 PM, Vincent Bernat wrote:
>> > Using gdbserver  inside an UML  instance displays "Couldn't  write debug
>> > register". I have discovered this  patch from Barry Friedman which works
>> > fine for me:
>> >  http://www.mail-archive.com/user-mode-linux-devel@lists.sourceforge.net/msg06753.html
>> >
>> > I also attach a version rebased for Linux 3.2.
> Thank you for the bug report and the patch. I will look into this.

Are there good reasons why this patch has not been committed upstream in
2 years ?

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#676184; Package user-mode-linux. (Thu, 07 Jun 2012 08:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Thu, 07 Jun 2012 08:51:09 GMT) Full text and rfc822 format available.

Message #20 received at 676184@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: <rrs@debian.org>
Cc: <676184@bugs.debian.org>
Subject: Re: [Pkg-uml-pkgs] Bug#676184: user-mode-linux: gdbserver not usable inside UML
Date: Thu, 07 Jun 2012 10:48:19 +0200
Le 07.06.2012 10:27, Ritesh Raj Sarraf a écrit :

>>> > Using gdbserver  inside an UML  instance displays "Couldn't  
>>> write debug
>>> > register". I have discovered this  patch from Barry Friedman 
>>> which works
>>> > fine for me:
>>> >  
>>> http://www.mail-archive.com/user-mode-linux-devel@lists.sourceforge.net/msg06753.html
>>> >
>>> > I also attach a version rebased for Linux 3.2.
>> Thank you for the bug report and the patch. I will look into this.
>
> Are there good reasons why this patch has not been committed upstream 
> in
> 2 years ?

I don't know. I have contacted the original author of the patch and he 
doesn't know either. He just didn't ping again.




Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#676184; Package user-mode-linux. (Thu, 07 Jun 2012 11:30:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Thu, 07 Jun 2012 11:30:18 GMT) Full text and rfc822 format available.

Message #25 received at 676184@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Vincent Bernat <bernat@debian.org>, 676184@bugs.debian.org, Mattia Dongili <malattia@linux.it>
Subject: Re: Bug#676184: [Pkg-uml-pkgs] Bug#676184: user-mode-linux: gdbserver not usable inside UML
Date: Thu, 07 Jun 2012 16:57:39 +0530
[Message part 1 (text/plain, inline)]
On Thursday 07 June 2012 02:18 PM, Vincent Bernat wrote:
>> Are there good reasons why this patch has not been committed upstream in
>> 2 years ?
> 
> I don't know. I have contacted the original author of the patch and he
> doesn't know either. He just didn't ping again.


I will not be able to pull this patch in unless upstream commits it. I
am new to UML maintenance and would offload this bug to Mattia as he has
a better insight into UML history.

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>:
Bug#676184; Package user-mode-linux. (Thu, 07 Jun 2012 21:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>. (Thu, 07 Jun 2012 21:00:09 GMT) Full text and rfc822 format available.

Message #30 received at 676184@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: rrs@debian.org
Cc: 676184@bugs.debian.org, Mattia Dongili <malattia@linux.it>
Subject: Re: Bug#676184: [Pkg-uml-pkgs] Bug#676184: user-mode-linux: gdbserver not usable inside UML
Date: Thu, 07 Jun 2012 22:58:24 +0200
[Message part 1 (text/plain, inline)]
OoO  Peu avant  le début  de l'après-midi  du jeudi  07 juin  2012, vers
13:27, Ritesh Raj Sarraf <rrs@debian.org> disait :

>>> Are there good reasons why this patch has not been committed upstream in
>>> 2 years ?
>> 
>> I don't know. I have contacted the original author of the patch and he
>> doesn't know either. He just didn't ping again.


> I will not be able to pull this patch in unless upstream commits it. I
> am new to UML maintenance and would offload this bug to Mattia as he has
> a better insight into UML history.

I have sent the patch upstream but got no answer yet:
 http://sourceforge.net/mailarchive/forum.php?thread_name=e8f6af0d0128c4a4dde5f3f3fbaac46e%40luffy.cx&forum_name=user-mode-linux-devel
-- 
Vincent Bernat ☯ http://vincent.bernat.im

Choose variable names that won't be confused.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:12:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.